/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model233
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model233 {
  @SerializedName("quote_id")
  private String quoteId = null;

  @SerializedName("provider")
  private Model229 provider = null;

  @SerializedName("technician_location")
  private Model230 technicianLocation = null;

  @SerializedName("distance")
  private Model231 distance = null;

  @SerializedName("price")
  private Model232 price = null;

  public Model233 quoteId(String quoteId) {
    this.quoteId = quoteId;
    return this;
  }

   /**
   * Quote&#39;s unique id
   * @return quoteId
  **/
  @ApiModelProperty(required = true, value = "Quote's unique id")
  public String getQuoteId() {
    return quoteId;
  }

  public void setQuoteId(String quoteId) {
    this.quoteId = quoteId;
  }

  public Model233 provider(Model229 provider) {
    this.provider = provider;
    return this;
  }

   /**
   * Get provider
   * @return provider
  **/
  @ApiModelProperty(value = "")
  public Model229 getProvider() {
    return provider;
  }

  public void setProvider(Model229 provider) {
    this.provider = provider;
  }

  public Model233 technicianLocation(Model230 technicianLocation) {
    this.technicianLocation = technicianLocation;
    return this;
  }

   /**
   * Get technicianLocation
   * @return technicianLocation
  **/
  @ApiModelProperty(value = "")
  public Model230 getTechnicianLocation() {
    return technicianLocation;
  }

  public void setTechnicianLocation(Model230 technicianLocation) {
    this.technicianLocation = technicianLocation;
  }

  public Model233 distance(Model231 distance) {
    this.distance = distance;
    return this;
  }

   /**
   * Get distance
   * @return distance
  **/
  @ApiModelProperty(value = "")
  public Model231 getDistance() {
    return distance;
  }

  public void setDistance(Model231 distance) {
    this.distance = distance;
  }

  public Model233 price(Model232 price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(required = true, value = "")
  public Model232 getPrice() {
    return price;
  }

  public void setPrice(Model232 price) {
    this.price = price;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model233 model233 = (Model233) o;
    return Objects.equals(this.quoteId, model233.quoteId) &&
        Objects.equals(this.provider, model233.provider) &&
        Objects.equals(this.technicianLocation, model233.technicianLocation) &&
        Objects.equals(this.distance, model233.distance) &&
        Objects.equals(this.price, model233.price);
  }

  @Override
  public int hashCode() {
    return Objects.hash(quoteId, provider, technicianLocation, distance, price);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model233 {\n");
    
    sb.append("    quoteId: ").append(toIndentedString(quoteId)).append("\n");
    sb.append("    provider: ").append(toIndentedString(provider)).append("\n");
    sb.append("    technicianLocation: ").append(toIndentedString(technicianLocation)).append("\n");
    sb.append("    distance: ").append(toIndentedString(distance)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

